Bug 1820153 - [OSP] Installer fails to destroy cluster when cloud doesn't have trunk port support
Summary: [OSP] Installer fails to destroy cluster when cloud doesn't have trunk port s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.4.0
Assignee: Martin André
QA Contact: David Sanz
URL:
Whiteboard:
Depends On: 1814593
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-02 11:46 UTC by Martin André
Modified: 2020-05-04 11:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: OpenStack clouds without trunk ports support return an error when trying to list trunk ports that was wrongly interpreted by the installer as a failure to destroy the ports. Consequence: On clouds without support for trunk ports, the destroy command would loop over trunk port deletion until it reaches the timeout. Fix: Correctly interpret the error returned when listing trunk port. Result: The destroy command returns on clouds without support for trunk ports before reaching the timeout.
Clone Of: 1814593
Environment:
Last Closed: 2020-05-04 11:47:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 3395 None closed Bug 1820153: OpenStack: Allow destroying cluster without trunk ports 2020-04-21 08:33:01 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:48:12 UTC

Comment 3 David Sanz 2020-04-06 09:06:06 UTC
Verified on 4.4.0-0.nightly-2020-04-04-025830

Comment 5 errata-xmlrpc 2020-05-04 11:47:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.